Summary: The RPM package management system.
Name: rpm
Version: 4.3.2
Release: 20tr
Group: Trustix Official
Source: ftp://ftp.rpm.org/pub/rpm/dist/rpm-%{version}.tar.gz
Source2: rpm-trustix-macros
Source3: rpm-trustix-rpmrc
License: GPL
Conflicts: patch < 2.5
# Not used
#Patch0: rpm-4.0.3-tsl-notused.patch
Patch0: rpm-4.3.2-gcc4.patch
Patch1: rpm-4.2.3-trustix.patch
Patch2: rpm-4.3.2-nptl.patch
Patch3: rpm-4.3.2-envpath.patch
Patch4: rpm-4.3.2-rpmdebug.patch
Patch5: rpm-4.3.2-arch.patch
Patch14: rpm-4.2.3-find-requires.patch
Patch15: rpm-4.3.2-noverbosity.patch
Patch16: rpm-4.3.2-perlreq.patch
Patch17: rpm-CVE-2006-5466.patch
Prereq: gawk coreutils mktemp
BuildRequires: bzip2, zlib-devel, python-devel,libselinux-devel,elfutils-devel,beecrypt-devel
Requires: bzip2,beecrypt >= 3.0.1, elfutils
BuildRoot: /var/tmp/rpm-%{version}-root
%define poptver 1.8.2

%description
The RPM Package Manager is a powerful command line driven package
management system capable of installing, uninstalling, verifying,
querying, and updating software packages.  Each software package
consists of an archive of files along with information about the
package like its version, a description, etc.

%package devel
Summary: Development files for applications which will manipulate RPM packages.
Group: Trustix Official
Requires: python

%description devel
This package contains the RPM C library and header files.  These
development files will simplify the process of writing programs
which manipulate RPM packages and databases and are intended to make
it easier to create graphical package managers or any other tools
that need an intimate knowledge of RPM packages in order to function.

This package should be installed if you want to develop programs that
will manipulate RPM packages and databases.

%package build
Summary: Scripts and executable programs used to build packages.
Group: Trustix Official
Requires: rpm = %{version}, glibc-devel, gcc, patch, make, file, findutils

%description build
The rpm-build package contains the scripts and executable programs
that are used to build packages using the RPM Package Manager.

%package python
Summary: Python bindings for apps which will manipulate RPM packages.
Group: Trustix Official
Requires: rpm = %{version}
Requires: python >= 2.3
Requires: popt = %{poptver}

%description python
The rpm-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the RPM Package Manager libraries.

This package should be installed if you want to develop Python
programs that will manipulate RPM packages and databases.

%package python24
Summary: Python bindings for apps which will manipulate RPM packages.
Group: Trustix Official
Requires: rpm = %{version}
Requires: python24
Requires: popt = %{poptver}

%description python24
The rpm-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the RPM Package Manager libraries.

This package should be installed if you want to develop Python
programs that will manipulate RPM packages and databases.

%package -n popt
Summary: A C library for parsing command line parameters.
Group: Trustix Official
Version: %{poptver}

%description -n popt
Popt is a C library for parsing command line parameters.  Popt was
heavily influenced by the getopt() and getopt_long() functions, but it
improves on them by allowing more powerful argument expansion.  Popt
can parse arbitrary argv[] style arrays and automatically set
variables based on command line arguments.  Popt allows command line
arguments to be aliased via configuration files and includes utility
functions for parsing arbitrary strings into argv[] arrays using
shell-like rules.

Install popt if you're a C programmer and you'd like to use its
capabilities.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p0

%build

# rpm needs functioning nptl for configure tests
unset LD_ASSUME_KERNEL || :

# Make sure it is newer

for i in `ls -d %{_prefix}/include/python*`; do
py_version=`echo $i | sed "s+%{_prefix}/include/python++"`
echo $py_version >> py_all
if test -x %{_prefix}/bin/python$py_version
then

touch configure

py_bin="s|/usr/bin/python.*\b|/usr/bin/python$py_version|g"
find . -type f -print0 | xargs -0 perl -pi -e "$py_bin"

CFLAGS="-O3 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES=1 -D_LARGEFILE64_SOURCE=1" ./configure --prefix=%{_prefix} \
		--sysconfdir=/etc \
		--localstatedir=/var \
		--enable-posixmutexes \
		--with-python=$py_version \
		--infodir='%{_prefix}/share/info' \
		--mandir='%{_prefix}/share/man' \
		--includedir=%{_prefix}/include \
		--enable-v5-packages \
		--without-lua

# fix for python 2.4
if [ $py_version = "2.4" ]; then
perl -pi -e 's/PyDictIter_Type/PyDictIterValue_Type/' python$pyversion/*.c
fi

make
cp -rf python python$py_version
make -C python clean
fi
done

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

# rpm needs functioning nptl for configure tests
unset LD_ASSUME_KERNEL || :

make DESTDIR="$RPM_BUILD_ROOT" install

# install rpm-pythons for all compiled python versions
for py_version in `cat py_all`; do
py_lib="s/^(pylibdir\s*=\s*).*/\$1\/usr\/lib\/python$py_version/"
perl -pi -e "$py_lib" python$py_version/Makefile
perl -pi -e "$py_lib" python$py_version/rpmdb/Makefile
pushd python$py_version
make DESTDIR="$RPM_BUILD_ROOT" install
popd
done

mkdir -p ${RPM_BUILD_ROOT}/etc/cron.daily
install -m 755 scripts/rpm.daily ${RPM_BUILD_ROOT}/etc/cron.daily/rpm

mkdir -p ${RPM_BUILD_ROOT}/etc/logrotate.d
install -m 644 scripts/rpm.log ${RPM_BUILD_ROOT}/etc/logrotate.d/rpm

mkdir -p $RPM_BUILD_ROOT/etc/rpm

mkdir -p $RPM_BUILD_ROOT/var/lock/rpm

#install -m 755 scripts/check-files ${RPM_BUILD_ROOT}/usr/lib/rpm

# Touching som files
# - serialize rpmtsRun() using fcntl on /var/lock/rpm/transaction.
mkdir -p $RPM_BUILD_ROOT/var/lock/rpm
mkdir -p $RPM_BUILD_ROOT/var/lib/rpm
for i in \
        Basenames Conflictname Dirnames Group Installtid Name Providename \
        Provideversion Removetid Requirename Requireversion Triggername \
        Packages __db.001 __db.002 __db.003 __db.004 __db.005 __db.006 \
	__db.007 __db.008 __db.009

do
    touch $RPM_BUILD_ROOT/var/lib/rpm/$i
done

find $RPM_BUILD_ROOT/usr/share/man -type f -name '*[0-9]'|xargs -r bzip2 -9

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x'`;do
	file $i|grep -q "not stripped" && strip $i
done

# Strip binaries
#%{__strip} $RPM_BUILD_ROOT/bin/rpm
%{__strip} $RPM_BUILD_ROOT/%{_prefix}/bin/rpm2cpio

# Fix stupid macro files:
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/usr/lib/rpm/macros
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/usr/lib/rpm/rpmrc
#
# Some special hacks:
#
if [ -n "%{?use_selinux}" ]; then
	sed -e 's/#use_selinux_bookmark//g' \
	       $RPM_BUILD_ROOT/usr/lib/rpm/macros > $RPM_BUILD_DIR/macros.sel
	install -m 644 $RPM_BUILD_DIR/macros.sel \
	               $RPM_BUILD_ROOT/usr/lib/rpm/macros 
	rm -f $RPM_BUILD_DIR/macros.sel
fi
if [ -n "%{?enable_stack_protector_by_default}" ]; then
	sed -e 's/#enable_stackprot_bookmark//g' \
	       $RPM_BUILD_ROOT/usr/lib/rpm/macros > $RPM_BUILD_DIR/macros.sel
	install -m 644 $RPM_BUILD_DIR/macros.sel \
	               $RPM_BUILD_ROOT/usr/lib/rpm/macros
	rm -f $RPM_BUILD_DIR/macros.sel
fi

mkdir -p $RPM_BUILD_ROOT/usr/lib/rpm
pushd $RPM_BUILD_ROOT/usr/lib/rpm
	rm -rf i*86-*linux* noarch-*linux
	for i in noarch i386 i486 i586 i686; do
		mkdir -p $i-trustix-linux
		ln -s $i-trustix-linux $i-linux	
		cd $i-trustix-linux
		ln -s ../macros macros
		cd -
	done	
popd

cat << E_O_F > $RPM_BUILD_ROOT/etc/rpm/macros.db1
%%_dbapi                1
E_O_F
cat << E_O_F > $RPM_BUILD_ROOT/etc/rpm/macros.cdb
%{?enable_cdb:#%%__dbi_cdb      %{enable_cdb}}
E_O_F

mkdir -p \
$RPM_BUILD_ROOT/%{_prefix}/src/%{_vendor}/{build,specs,sources,srpms}

mkdir -p $RPM_BUILD_ROOT/%{_prefix}/src/%{_vendor}/rpms/{athlon,i{3,4,5,6}86,noarch}

# Cleanup
rm -rf $RPM_BUILD_ROOT/usr/share/locale
rm -rf $RPM_BUILD_ROOT/usr/share/man/{fr,ja,ko,pl,ru,sk}
rm -rf $RPM_BUILD_ROOT/usr/src/trustix/{BUILD,RPMS,SOURCES,SPECS,SRPMS}
rm -f $RPM_BUILD_ROOT/usr/lib/rpm/Specfile.pm
rm -f $RPM_BUILD_ROOT/usr/lib/rpm/cpanflute
rm -f $RPM_BUILD_ROOT/usr/lib/rpm/cpanflute2
rm -f $RPM_BUILD_ROOT/usr/lib/rpm/get_magic.pl
rm -f $RPM_BUILD_ROOT/usr/lib/rpm/http.req
rm -f $RPM_BUILD_ROOT/usr/lib/rpm/magic.*
rm -f $RPM_BUILD_ROOT/usr/lib/rpm/perldeps.pl
rm -f $RPM_BUILD_ROOT/usr/lib/rpm/rpmdiff
rm -f $RPM_BUILD_ROOT/usr/lib/rpm/rpmdiff.cgi
rm -f $RPM_BUILD_ROOT/usr/lib/rpm/tcl.req
rm -f $RPM_BUILD_ROOT/usr/lib/rpm/{tgpg,trpm}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%pre
if [ -f /var/lib/rpm/Packages -a -f /var/lib/rpm/packages.rpm ]; then
    echo "
You have both
        /var/lib/rpm/packages.rpm       db1 format installed package headers
        /var/lib/rpm/Packages           db3 format installed package headers
Please remove (or at least rename) one of those files, and re-install.
"
    exit 1
fi

mkdir -m 755 -p /usr/lib/rpm
pushd /usr/lib/rpm 2>&1 > /dev/null
for i in noarch i386 i486 i586 i686; do
  [ -L "$i-trustix-linux" ] && rm -f $i-trustix-linux 2>/dev/null || :
done
popd 2>&1 > /dev/null
exit 0

%post

if [ -f /var/lib/rpm/packages.rpm ]; then
    /bin/chown root:root /var/lib/rpm/*.rpm
elif [ -f /var/lib/rpm/Packages ]; then
    # undo db1 configuration
    rm -f /etc/rpm/macros.db1
    /bin/chown root:root /var/lib/rpm/[A-Z]*
else
    # initialize db3 database
    rm -f /etc/rpm/macros.db1
    /bin/rpm --initdb
fi
exit 0

%postun
/sbin/ldconfig
if [ $1 = 0 ]; then
    /usr/sbin/userdel rpm
    /usr/sbin/groupdel rpm
fi


%post devel -p /sbin/ldconfig
%postun devel -p /sbin/ldconfig

%post -n popt -p /sbin/ldconfig
%postun -n popt -p /sbin/ldconfig

%post python -p /sbin/ldconfig
%postun python -p /sbin/ldconfig


##########################
%files
%defattr(-,root,root,0755)
%doc RPM-PGP-KEY RPM-GPG-KEY CHANGES GROUPS doc/manual/[a-z]*
%attr(0755, root, root)   /bin/rpm

%config(noreplace,missingok)    /etc/cron.daily/rpm
%config(noreplace,missingok)    /etc/logrotate.d/rpm
%dir                            /etc/rpm
%dir                            /var/lock/rpm
%config(noreplace,missingok)    /etc/rpm/macros.*
%attr(0755, root, root)   %dir /var/lib/rpm

%define rpmdbattr %attr(0644, root, root) %verify(not md5 size mtime) %ghost %config(missingok,noreplace)

%rpmdbattr /var/lib/rpm/Basenames
%rpmdbattr /var/lib/rpm/Conflictname
%rpmdbattr /var/lib/rpm/__db.0*
%rpmdbattr /var/lib/rpm/Dirnames
%rpmdbattr /var/lib/rpm/Group
%rpmdbattr /var/lib/rpm/Installtid
%rpmdbattr /var/lib/rpm/Name
%rpmdbattr /var/lib/rpm/Packages
%rpmdbattr /var/lib/rpm/Providename
%rpmdbattr /var/lib/rpm/Provideversion
%rpmdbattr /var/lib/rpm/Removetid
%rpmdbattr /var/lib/rpm/Requirename
%rpmdbattr /var/lib/rpm/Requireversion
%rpmdbattr /var/lib/rpm/Triggername

%attr(0755, root, root) %{_prefix}/bin/rpm2cpio
%attr(0755, root, root) %{_prefix}/bin/gendiff
%attr(0755, root, root) %{_prefix}/bin/rpmdb
%attr(0755, root, root) %{_prefix}/bin/rpmsign
%attr(0755, root, root) %{_prefix}/bin/rpmquery
%attr(0755, root, root) %{_prefix}/bin/rpmverify
%attr(0755, root, root) %{_prefix}/bin/rpme
%attr(0755, root, root) %{_prefix}/bin/rpmi
%attr(0755, root, root) %{_prefix}/bin/rpmu

%attr(0755, root, root) %{_prefix}/lib/rpm/rpm2cpio.sh
%attr(0755, root, root) %{_prefix}/lib/rpm/rpmdeps
%attr(0755, root, root) %{_prefix}/lib/rpm/config.guess
%attr(0755, root, root) %{_prefix}/lib/rpm/config.sub
%attr(0755, root, root) %{_prefix}/lib/rpm/convertrpmrc.sh
%attr(0755, root, root) %{_prefix}/lib/rpm/mkinstalldirs
%attr(0755, root, root) %{_prefix}/lib/rpm/rpm.*
%attr(0755, root, root) %{_prefix}/lib/rpm/rpm[deiukqv]

%attr(0755, root, root) %{_prefix}/lib/rpm/rpmdb_*
%attr(0755, root, root) %{_prefix}/lib/rpm/rpmfile

%{_prefix}/lib/librpm-4.3.so
%{_prefix}/lib/librpmdb-4.3.so
%{_prefix}/lib/librpmio-4.3.so
%{_prefix}/lib/librpmbuild-4.3.so


%attr(0755, root, root)   %dir %{_prefix}/lib/rpm
%attr(0644, root, root)   %{_prefix}/lib/rpm/macros
%attr(0644, root, root)   %{_prefix}/lib/rpm/rpmpopt*
%attr(0644, root, root)   %{_prefix}/lib/rpm/rpmrc

%attr(-, root, root)              %{_prefix}/lib/rpm/i[3456]86*
#%attr(-, root, root)              %{_prefix}/lib/rpm/athlon*
%attr(-, root, root)              %{_prefix}/lib/rpm/noarch*

%{_prefix}/share/man/man1/gendiff.1*
%{_prefix}/share/man/man8/rpm.8*
%{_prefix}/share/man/man8/rpm2cpio.8*
%{_prefix}/share/man/man8/rpmdeps.8*

%files build
%defattr(-,root,root,0755)
%dir %{_prefix}/src/%{_vendor}
%dir %{_prefix}/src/%{_vendor}/build
%dir %{_prefix}/src/%{_vendor}/specs
%dir %{_prefix}/src/%{_vendor}/sources
%dir %{_prefix}/src/%{_vendor}/srpms
%dir %{_prefix}/src/%{_vendor}/rpms
%{_prefix}/src/%{_vendor}/rpms/*
%attr(0755, root, root) %{_prefix}/bin/rpmbuild
%attr(0755, root, root) %{_prefix}/lib/rpm/brp-*
%attr(0755, root, root) %{_prefix}/lib/rpm/check-prereqs
%attr(0755, root, root) %{_prefix}/lib/rpm/check-files
%attr(0755, root, root) %{_prefix}/lib/rpm/config.site
%attr(0755, root, root) %{_prefix}/lib/rpm/cross-build
%attr(0755, root, root) %{_prefix}/lib/rpm/debugedit
%attr(0755, root, root) %{_prefix}/lib/rpm/find-debuginfo.sh
%attr(0755, root, root) %{_prefix}/lib/rpm/find-lang.sh
%attr(0755, root, root) %{_prefix}/lib/rpm/find-prov.pl
%attr(0755, root, root) %{_prefix}/lib/rpm/find-provides
%attr(0755, root, root) %{_prefix}/lib/rpm/find-provides.perl
%attr(0755, root, root) %{_prefix}/lib/rpm/find-req.pl
%attr(0755, root, root) %{_prefix}/lib/rpm/find-requires
%attr(0755, root, root) %{_prefix}/lib/rpm/find-requires.perl
%attr(0755, root, root) %{_prefix}/lib/rpm/getpo.sh
%attr(0755, root, root) %{_prefix}/lib/rpm/javadeps
%attr(0755, root, root) %{_prefix}/lib/rpm/magic
%attr(0755, root, root) %{_prefix}/lib/rpm/perl.prov
%attr(0755, root, root) %{_prefix}/lib/rpm/sql.*

# XXX remove executable bit to disable autogenerated perl requires for now.
#%rpmattr       %{__prefix}/lib/rpm/perl.req
%attr(0755, root, root) %{_prefix}/lib/rpm/perl.req

%attr(0755, root, root) %{_prefix}/lib/rpm/rpm[bt]
%attr(0755, root, root) %{_prefix}/lib/rpm/u_pkg.sh
%attr(0755, root, root) %{_prefix}/lib/rpm/vpkg-provides.sh
%attr(0755, root, root) %{_prefix}/lib/rpm/vpkg-provides2.sh

%{_prefix}/share/man/man8/rpmbuild.8*

%files python
%defattr(-,root,root,0755)
%{_prefix}/lib/python2.3/site-packages/rpmdb
%{_prefix}/lib/python2.3/site-packages/rpmmodule.so

%files python24
%defattr(-,root,root,0755)
%{_prefix}/lib/python2.4/site-packages/rpmdb
%{_prefix}/lib/python2.4/site-packages/rpmmodule.so

%files devel
%defattr(-,root,root,0755)
%{_prefix}/include/rpm
%{_prefix}/lib/librpm.a
%{_prefix}/lib/librpm.la
%{_prefix}/lib/librpm.so
%{_prefix}/lib/librpmdb.a
%{_prefix}/lib/librpmdb.la
%{_prefix}/lib/librpmdb.so
%{_prefix}/lib/librpmio.a
%{_prefix}/lib/librpmio.la
%{_prefix}/lib/librpmio.so
%{_prefix}/lib/librpmbuild.a
%{_prefix}/lib/librpmbuild.la
%{_prefix}/lib/librpmbuild.so
%attr(0755, root, root) %{_prefix}/lib/rpm/rpmcache
%attr(0755, root, root) %{_bindir}/rpmgraph

%{_prefix}/share/man/man8/rpmcache.8*
%{_prefix}/share/man/man8/rpmgraph.8*


%files -n popt
%defattr(-,root,root,0755)
%{_prefix}/lib/libpopt.so.*
%{_prefix}/share/man/man3/popt.3*

# XXX These may end up in popt-devel but it hardly seems worth the effort now.
%{_prefix}/lib/libpopt.a
%{_prefix}/lib/libpopt.la
%{_prefix}/lib/libpopt.so
%{_prefix}/include/popt.h


%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Mon Nov 06 2006 Nived Gopalan <nived at trustix dot org> 4.3.2-19tr
- SECURITY Fix: A vulnerability has been reported in RPM, caused due
  to a boundary error when processing certain RPM packages. This can
  be exploited to cause a heap-based buffer overflow by e.g. tricking
  a user into querying a specially crafted RPM package.

  The Common Vulnerabilities and Exposures project (cve.mitre.org) has
  assigned the name CVE-2006-5466 to this issue.

* Fri Oct 28 2005 Ajith Thampi <ajith at comodo dot com> 4.3.2-17tr
- build rpm-python24 for anaconda
		
* Mon Sep  5 2005 Erlend Midttun <erlendbm at trustix dot org> 4.3.2-16tr
- /etc/logrotate.d/rpm should be mod 644.  Bug #1259.

* Mon May 16 2005 Hasher J <hasher at comodo dot com> 4.3.2-14tr
- Changed optimalization flags from -03 to -O2 for i586.(Bug#679).

* Tue Apr 26 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 4.3.2-13tr
- Added gcc4 and rpmdebug patch to compile it with gcc-4.0

* Thu Mar 31 2005 Ajith Thampi <ajith at comodo dot com> 4.3.2-12tr
- Fix unwanted perl.req as per Bug #122

* Mon Mar 21 2005 Oystein Viggen <oysteivi at trustix dot com> 4.3.2-11tr
- Add directory /var/lock/rpm

* Wed Mar 16 2005 Ajith Thampi <ajith at comodo dot com> 4.3.2-10tr
- Rebuilt with new beecrypt

* Mon Mar  7 2005 Erlend Midttun <erlendbm at trustix dot org> 4.3.2-8tr
- Merge rpm macros from 4.3.2.
- Now terminate on unpackaged files!

* Mon Feb 28 2005 Erlend Midttun <erlendbm at trustix dot org> 4.3.2-7tr
- Added patch to lover verbosity of rpm.
- No longer use -mpentium, use -mtune and -march

* Thu Feb 17 2005 Ajith Thampi <ajith at comodo dot com> 4.3.2-6tr
- Rebuilt on glibc-2.3.4
  
* Mon Feb 07 2005 Ajith Thampi <ajith at comodo dot com> 4.3.2-5tr
- added /var/lock/rpm which breaks rebuilddb, serialize rpmtsRun()

* Mon Jan 31 2005 Ajith Thampi <ajith at comodo dot com> 4.3.2-4tr
- fixed macros and filelist 

* Fri Jan 28 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 4.3.2-2tr
- Add NPTL patch to fix make error in rpmsq.lo

* Wed Jan 19 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 4.3.2-1tr
- New Upstream

* Tue Jan 18 2005 Ajith Thampi <ajith at comodo dot com> 4.2.2-1tr
- New Upstream

* Mon Jan 10 2005 Erlend Midttun <erlendbm at trustix dot org> 4.0.5-14tr
- Fix flags

* Thu Nov 25 2004 Erlend Midttun <erlendbm at trustix dot org> 4.0.5-13tr
- Now have --program-prefix= in %%configure.

* Wed Mar 17 2004 Chr. Toldnes <christht at trustix dot org> 4.0.5-10tr
- Add a enable_stack_protector_by_default hack

* Wed Feb 25 2004 Erlend Midttun <erlendbm at trustix dot org> 4.0.5-8tr
- Removed fast-math and no-exceptions.

* Tue Feb 17 2004 Chr. Toldnes <christht at trustix dot org> 4.0.5-7tr
- Built without stack protection

* Tue Feb 10 2004 Chr. Toldnes <christht at trustix dot org> 4.0.5-6ct
- Made sure Gerlads patch was still applied, it was :)
- Group: Trustix Official
- Minor cleanup

* Mon Feb  2 2004 Oystein Viggen <oysteivi at trustix dot org> 4.0.5-5ov
- Add a use_selinux macro for Sunchild

* Fri Jan 23 2004 Oystein Viggen <oysteivi at trustix dot org> 4.0.5-4ov
- Add the no_stack_protector macro

* Fri Jan  9 2004 Erlend Midttun <erlendbm at trustix dot org> 4.0.5-3em
- Seems popt needs a bump to get upgraded.

* Fri Jan  9 2004 Erlend Midttun <erlendbm at trustix dot org> 4.0.5-2em
- Now with the real rpmrc and macros.

* Mon Dec 22 2003 Christian H. Toldnes <christht at trustix dot org> 4.0.5-1ct
- New upstream version: 4.0.5
- Removed the rpm-perl package (it broke tho build and I don't see why we 
  need it..)

* Tue Nov 25 2003 Erlend Midttun <erlendbm at trustix dot org> 4.0.4-23em
- Added -DFILE_OFFSET_BITS=64 to the optflags.
- Cleaned up the rpmrc.in macros.

* Mon Nov 10 2003 Gerald Dachs <gda at trustix dot org> 4.0.4-22gd
- find-requires extracts interpreters from lines without shebang
  very strange (patch14)

* Fri Oct 24 2003 Chr. Toldnes <christht at trustix dot org> 4.0.4-21tr
- Remake for trustix

* Tue Sep 30 2003 Chr. Toldnes <christht at tawie dot org> 4.0.4-20tsl
- lowercase in /usr/src/tawie

* Tue Sep 30 2003 Chr. Toldnes <christht at tawie dot org> 4.0.4-19tsl
- Remake for tawie, take II

* Sat Sep 27 2003 Chr. Toldnes <christht at tawie dot org> 4.0.4-18tsl
- Remake for tawie

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 4.0.4-17tr
- Big rebuild.

* Mon May 26 2003 Erlend Midttun <erlendbm at trustix dot com> 4.0.4-16em
- findutils, sh-utils, textutils -> coreutils.

* Sun Apr  6 2003 Erlend Midttun <erlendbm at trustix dot com> 4.0.4-15em
- Take 5 at getting macros right.

* Fri Mar 28 2003 Erlend Midttun <erlendbm at trustix dot com> 4.0.4-14em
- Try to handle the /usr/lib/rpm subdirs better.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 4.0.4-12em
- Rebuilt.  On glibc 2.3.2.

* Mon Mar 24 2003 Christian H. Toldnes <christht at trustix dot com> 4.0.4-11ct
- Fix bug #276, at least partly

* Mon Mar 17 2003 Roland Kruse <rolandk at trustix dot com> 4.0.4-10rk
- Bug #254: Incorrect handling of %config, %config(norplace) files.
  Red Hat Bugzilla #62542 & #57078. Patch0 patches the official 4.0.4
  source (from www.rpm.org) up to 4.0.4-7x.18 which redhat ships now.
  Automake/aclocal fix (Patch13)

* Wed Feb 26 2003 Goetz Bock <bock at trustix dot org> rpm-4.0.4-9bg
- added some requirements to rpm-build

* Sat Feb 01 2003 Tor Hveem <torh at trustix dot org> 4.0.4-8th
- fixed package Group
- added missing buildreqs zlib-devel and python-devel

* Mon Dec  9 2002 Erlend Midttun <erlendbm at trustix dot com> 4.0.4-7em
- Added initdir macro.

* Tue Sep  3 2002 Roland Kruse <rolandk at trustix dot com> 4.0.4-6rk
- Removed -falign*, -fno-rtti options.

* Mon Sep  2 2002 Roland Kruse <rolandk at trustix dot com> 4.0.4-5rk
- Fixes to make rpm python module (and hence installer) work (Patch10):
- Removed -mpreferred-stack-boundary=2 in rpmrc.in
- Minor fix in lib/rpmrc.c

* Thu Aug 22 2002 Christian H. Toldnes <christht at trustix dot com> 4.0.4-4ct
- Make use of falign in stead of malign in OPTFLAGS

* Thu Aug 22 2002 Christian H. Toldnes <christht at trustix dot com> 4.0.4-3ct
- Rebuilt on db4
- Fixed dependencies

* Thu Jul 19 2002 Gerald Dachs <gda at trustix dot org> 4.0.4-2gd
- /etc/trustix-release was missing on development system

* Sun Jul 14 2002 Gerald Dachs <gda at trustix dot org> 4.0.4-1gd
- Updated to 4.0.4

* Fri Jul 10 2002 Christian H. Toldnes <christht at trustix dot com> 4.0.3-5ct
- Patched default shell to /sbin/bash
- Changed version on popt to correct 1.6.4

* Fri Jun 28 2002 Christian H. Toldnes <christht at trustix dot com> 4.0.3-4ct
- Added LargeFileSupport macro

* Sat Jun 15 2002 Gerald Dachs <gda at trustix dot org> 4.0.3-3gd
- supports now python 2.2
- corrected chown statement

* Tue May 28 2002 Christian H. Toldnes <christht at trustix dot com>
- Added making of build-directory structure.

* Mon Feb 11 2002 Christian H. Toldnes <christht at trustix dot com>
- Major rewrite to fit rpm-4.0.3

* Wed Jul  4 2001 Oystein Viggen <oysteivi at trustix dot com>
- Set sysconfdir to /etc

* Thu Jun 14 2001 Oystein Viggen <oysteivi at trustix dot com>
- Correct group for popt

* Wed Jun 13 2001 Oystein Viggen <oysteivi at trustix dot com>
- Make autogen.sh not break on new autmake

* Tue Jun 12 2001 Erlend Midttun <erlendbm at trustix dot com>
- Updated macros as suggested by Goetz Bock.

* Fri Mar 30 2001 Alexander Reelsen <ar at trustix dot com>
- Added a patch not to support serials. This is TSL policy.

* Fri Feb  9 2001 Oystein Viggen <oysteivi at trustix dot com>
- Upgrade to v3.0.6

* Mon Sep 18 2000 Erlend Midttun <erlendbm at trustix dot com>
- Rebuild to reflect new libtool

* Sat Jan 29 2000 Erlend Midttun <erlendbm at trustix dot com>
- Created a different package for perl scripts in order to keep the install
  as little as possible

* Tue Nov  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- s/-O6/-O3/

* Thu Oct 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove the PGPPASS patch (gpgp conflict) but leave it in case.
* Thu Oct 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove the PGPPASS patch (gpgp conflict) but leave it in case.
- Add %prefix/locale/*/ in %files more doc and %prefix/man/%lang/*

* Thu Oct 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add patch to check PGPPASS before signing.

* Tue Oct 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Build release.

* Wed Oct 13 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Create a k6 directory in /usr/src/RPM/RPMS

* Fri Oct  8 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix %post # RPM bugs ?
- 3.0.3 final.

* Mon Sep 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- reEnable the rpm -ba --short-circuit from pixel.
- add patch to get work the python modules (#204).

* Sun Sep 26 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Whoops wrong k6 cflags

* Sun Sep 26 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Preliminary k6 support

* Thu Sep 23 1999 Pixel <pixel@mandrakesoft.com>
- fixed a bug in rpmlib

* Thu Aug 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Add patch to fix wrong info path (tnks pablo).
- Fix CFLAGS with multiple gcc interface.

* Mon Aug 16 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Latest CVS - this finally permits us to Provide: versions.

* Wed Aug 11 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Latest CVS
- Put new preferred CFLAGS for {p,}gcc 2.95 in rpmrc by default
- enable support for RPM4 packages
- ignore autoconf version conflicts (autoconf 2.14 works, but rpm
  insists on 2.13)

* Sat Jul 31 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Last cvs version.
- More architecture in rpmputtext (Pablo).

* Tue Jul 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Last version from CVS (fix --rebuild bugs).
- s|i386|i586| in rpmputtext.

* Tue Jul 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- I wonder want to know why rpmlib is so buggy :-((.

* Wed Jul 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix rpmpopt wrong path.
- Last CVS snapshot.

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- oups Forget to add rpmputtext.

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Moving the rpmputtext rpmputtext to /usr/bin
- 3.0.3 from CVS.
- Relifting of spec files.
- Build Patch.
- Merging old patch of libmisc and libtool.

* Wed Jul 07 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 3.0.2 final (15mdk)
- fixed default build arch use --target if you need it
- added librpmbuild.*a and other libtool files

* Tue Jul  6 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Could not find 11mdk srpm, snapshoted rpm cvs and incremented release

* Fri May 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Removing the CVS stuff when compiling.

* Thu May 27 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Update to a recent 3.0.2 CVS snapshot (BuildRequire :) )
- add our CFLAGS to rpmrc
- Recompile with CFLAGS for devel

* Wed May 19 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Update to more recent 3.0.1 CVS snapshot (more bugfixes)

* Tue May 11 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- I have forget to mkdir /usr/src/RPM instead of */*/redhat/
- 3.0.1 from Bero.

* Tue Apr 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adptations.
- Add patch for /usr/src/rpm instead of /usr/src/redhat/.
